Skip Menu |
 

This queue is for tickets about the GD CPAN distribution.

Report information
The Basics
Id: 117667
Status: resolved
Priority: 0/
Queue: GD

People
Owner: RURBAN [...] cpan.org
Requestors: SREZIC [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 2.56
Fixed in: (no value)



Subject: unclosedPolygon not available in gd 2.1
Download (untitled) / with headers
text/plain 252b
It seems that unclosedPolygon is not available anymore in gd 2.1. At least the documentation and the error message should be changed --- e.g. "This feature is only supported between libgd 2.0.33 and 2.0.36" (not sure about the last supported version).
Download (untitled) / with headers
text/plain 633b
On Thu Sep 08 16:43:04 2016, SREZIC wrote: Show quoted text
> It seems that unclosedPolygon is not available anymore in gd 2.1. At > least the documentation and the error message should be changed --- > e.g. "This feature is only supported between libgd 2.0.33 and 2.0.36" > (not sure about the last supported version).
Looking at the libgd sources tells me that Lincoln's error message is correct. The gdImageOpenPolygon is available from 2.0.33 on until now 2.2.4 The bug was the feature detection, missing out on checking the middle number, 0 vs 2. This is fixed with RURBAN/GD-2.56_03.tar.gz and soon in the official new 2.57. -- Reini Urban


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.